<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/panels/_panel_title.xhtml">
        <ui:define name="panel_title">#{monitorUser.user.firstName} #{monitorUser.user.lastName}</ui:define>
        <ui:param name="styleClass" value="panel-default monitorPanelStyle"/>
        <c:set var="monitorPref" value="${monitorInfoBeanGui.getUserPreferenceByUserId(monitorUser.user.id)}"/>
        <div class="row">
            <div class="col-md-3 col-sm-3">
                <div class="thumbnail">
                    <h:graphicImage library="img"
                                    value="#{gumUserProfilePictureBean.getUserProfilePictureUri(monitorUser.user.id)}"
                                    id="monitorPhoto"/>
                </div>
            </div>
            <div class="col-md-9 col-sm-9">
                <div class="caption">
                    <s:decorate id="username" template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.tm.FullName']}</ui:define>
                        <h:outputText value="#{monitorUser.user.getFirstNameAndLastName()}"/>
                    </s:decorate>
                    <s:decorate id="emailDecorationView" template="/layout/display/_display.xhtml"
                                rendered="#{ s:hasRole('admin_role') || s:hasRole('testing_session_admin_role')}">
                        <ui:define name="label">#{messages['gazelle.users.registration.Email']}</ui:define>
                        <h:outputText id="emailView" value="#{monitorUser.user.email}"/>
                    </s:decorate>
                    <s:decorate id="institutionDecorationView" template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.users.user.UserInstitution']}</ui:define>
                        <h:outputText id="instituionView" value="#{monitorUser.user.organizationId}"/>
                    </s:decorate>
                    <s:decorate id="tableDecorationView" template="/layout/display/_display.xhtml"
                                rendered="#{monitorPref.tableLabel != null and (!s:hasRole('admin_role') and !s:hasRole('testing_session_admin_role'))}">
                        <ui:define name="label">#{messages['gazelle.tm.users.TableLabel']}</ui:define>
                        <h:outputText id="table"
                                      value="#{monitorPref.tableLabel}"/>
                    </s:decorate>
                    <s:decorate id="tableDecorationView2" template="/layout/display/_display.xhtml"
                                rendered="#{monitorPref.tableLabel != null and (s:hasRole('admin_role') || s:hasRole('testing_session_admin_role'))}">
                        <ui:define name="label">#{messages['gazelle.tm.users.TableLabel']}</ui:define>
                        <rich:inplaceInput id="tableEdit"
                                           value="#{monitorInfoBeanGui.tableLabel}"
                                           showControls="true" inputWidth="100">
                            <a4j:ajax event="change" render="tableDecorationView2"/>
                        </rich:inplaceInput>
                    </s:decorate>
                    <s:decorate id="langDecorate" template="/layout/display/_display.xhtml"
                                rendered="#{not empty monitorPref.languagesSpoken}">
                        <ui:define name="label">#{messages['gazelle.tm.users.SpokenLanguages']}</ui:define>
                        <rich:list var="language" type="unordered"
                                   value="#{monitorPref.languagesSpoken}">
                            <h:outputText value="#{language}"/>
                        </rich:list>
                    </s:decorate>
                    <a4j:commandLink
                            value="#{monitorUser.testListSize} #{messages['gazelle.tm.monitors.nbTestsAssigned']}"
                            actionListener="#{monitorSearchFilter.showTestsForMonitor(monitorUser)}"
                            oncomplete="jq162('#TestList').modal('show');"
                            render=" :TestListForm"/>

                    <h:commandLink id="printActionButton"
                                   title="#{messages['net.ihe.gazelle.tm.PrintAssignedTests']}"
                                   actionListener="#{monitorInSessionAdministrationManager.downloadSelectedTestsAsPdf(monitorUser.monitorInSession)}"
                                   rendered="#{monitorUser.testListSize &gt; 0}">
                        <span class="gzl-icon-pdf"/>
                    </h:commandLink>
                </div>
            </div>
        </div>
    </ui:decorate>

</ui:composition>
